> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload identity image

> Upload an image of an identity document.

Upload a photograph of the supplier or representative's identification card or document. Be sure to choose the correct view when uploading. Uploaded images will be stored as attachments to the silo entry.


## OpenAPI

````yaml POST /apps/verifactu/v1/entry/{silo_entry_id}/identity
openapi: 3.1.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: >-
    Set of end-points that help you test access to the Invopop API and generate
    data.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: VERI*FACTU Service API
  version: 0.1.0
servers:
  - description: production
    url: https://api.invopop.com
security:
  - InvopopAuth: []
paths:
  /apps/verifactu/v1/entry/{silo_entry_id}/identity:
    post:
      description: Upload an image of an identity document.
      requestBody:
        content:
          application/json:
            schema:
              properties:
                data:
                  description: |-
                    Base64 encoded binary data of the image. Must be
                    of type `image/jpeg` or `image/png`, with a maximum
                    file size of 10MB. The text of the image should be clearly
                    visible to be approved.
                  format: byte
                  type: string
                view:
                  description: |-
                    Point of view from which the image is taken. Pick one of the
                    options available:

                      - `front` - Front view of the identity card.
                      - `back`- Rear or back view of the identity card.
                      - `page` - Principal identity page of the document.
                  type: string
                  enum:
                    - front
                    - back
                    - page
              required:
                - data
                - view
      responses:
        '202':
          description: No content
components:
  securitySchemes:
    InvopopAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |
        Use the `Bearer` scheme with a valid JWT token to authenticate requests.

        Example: `Authorization: Bearer <token>`

````